%global pypi_name django-helpdesk

Name:           python-%{pypi_name}
Version:        0.2.9
Release:        1%{?dist}
Summary:        A Django powered ticket tracker for small enterprise

License:        BSD
URL:            https://github.com/django-helpdesk/%{pypi_name}
Source0:        https://pypi.python.org/packages/source/d/%{pypi_name}/%{pypi_name}-%{version}.tar.gz

BuildArch:      noarch

%description

Django-helpdesk - A Django powered ticket tracker for small enterprise.

Copyright 2009-11 Jutda and Ross Poulton. All Rights Reserved. See LICENSE
for details.

django-helpdesk was formerly known as Jutda Helpdesk, named after the
company who originally created it. As of January 2011 the name has been
changed to reflect what it really is: a Django-powered ticket tracker
with contributors reaching far beyond Jutda.

Complete documentation is available in the docs/ directory, or online
at http://django-helpdesk.readthedocs.org/.

You can see a demo installation at http://django-helpdesk-demo.herokuapp.com/.

%package -n python3-%{pypi_name}

Summary:        %{summary} - Python 3 version

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pytz
BuildRequires:  python3-simplejson
Requires:       python3-django
BuildRequires:  python3-django

Obsoletes:      python-%{pypi_name} < 0.2.1-2
Obsoletes:      python2-%{pypi_name} < 0.2.1-2

%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}

Django-helpdesk - A Django powered ticket tracker for small enterprise.

Copyright 2009-11 Jutda and Ross Poulton. All Rights Reserved. See LICENSE
for details.

django-helpdesk was formerly known as Jutda Helpdesk, named after the
company who originally created it. As of January 2011 the name has been
changed to reflect what it really is: a Django-powered ticket tracker
with contributors reaching far beyond Jutda.

Complete documentation is available in the docs/ directory, or online
at http://django-helpdesk.readthedocs.org/.

You can see a demo installation at http://django-helpdesk-demo.herokuapp.com/.

This package provides Python 3 build of %{pypi_name}.

%prep
%autosetup -n %{pypi_name}-%{version}
rm -rf %{pypi_name}.egg-info
rm -rf helpdesk/management/commands/*.py
rm -rf helpdesk/static/helpdesk/helpdesk-print.css

%build
%py3_build

%install
%py3_install

# Handling locale files
# This is adapted from the %%find_lang macro, which cannot be directly
# used since Django locale files are not located in %%{_datadir}
#
# The rest of the packaging guideline still apply -- do not list
# locale files by hand!
(cd %{buildroot} && find .%{python3_sitelib} -name 'django*.mo') | %{__sed} -e 's|^.||' |
%{__sed} -e \
   's:\(.*/locale/\)\([^/_]\+\)\(.*\.mo$\):%lang(\2) \1\2\3:' \
   >> python3-%{pypi_name}.lang

%files -f python3-%{pypi_name}.lang -n python3-%{pypi_name}
%license LICENSE.3RDPARTY LICENSE
%doc README.rst
%{python3_sitelib}/helpdesk
%{python3_sitelib}/django_helpdesk-*.egg-info

%changelog
* Wed Jul 25 2018 Luis Bazan <lbazan@fedoraproject.org> - 0.2.9-1
- New upstream version
- Fixes a javascript bug where the date formatting was incorrect

* Fri Jul 13 2018 Luis Bazan <lbazan@fedoraproject.org> - 0.2.8-1
- New upstream version

* Wed Apr 18 2018 Luis Bazan <lbazan@fedoraproject.org> - 0.2.7-1
- new upstream version
- change to use python3

* Tue Nov 21 2017 Luis Bazan <lbazan@fedoraproject.org> - 0.2.1-1
- new upstream version

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.18-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.18-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 0.1.18-2
- Rebuild for Python 3.6

* Wed Nov 9 2016 Jan Beran <jberan@redhat.com> - 0.1.18-1
- update to patched version 0.1.18
- source update
- modernized specfile with Python 3 packaging

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.12-7
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.12-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.12-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed Oct 22 2014 Luis Bazan <lbazan@fedoraproject.org> - 0.1.12-4
- clean spec

* Fri Sep 19 2014 Luis Bazan <lbazan@fedoraproject.org> - 0.1.12-3
- rebuild simplejson

* Fri Sep 19 2014 Luis Bazan <lbazan@fedoraproject.org> - 0.1.12-2
- add python-simplejson 

* Sat Aug 09 2014 Luis Bazan <lbazan@fedoraproject.org> - 0.1.12-1
- New Upstream version

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.11-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu Oct 24 2013 Luis Bazan <lbazan@fedoraproject.org> - 0.1.11-1
- New Upstream version
- remove some lines no more necessary

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.8-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Tue May 07 2013 Matthias Runge <mrunge@redhat.com> - 0.1.8-4
- requires/buildrequires python-django14

* Wed Mar 27 2013 Luis Bazan <lbazan@fedoraproject.org> - 0.1.8-3
- add python macro 

* Mon Feb 18 2013 Luis Bazan <lbazan@fedoraproject.org> - 0.1.8-2
- Add pytz

* Fri Feb 15 2013 Luis Bazan <lbazan@fedoraproject.org> - 0.1.8-1
- New Upstream Version

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.7b-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Sep 28 2012 Luis Bazan <lbazan@fedoraproject.org> - 0.1.7b-3
- Fix BZ 858025 comment 3
 
* Wed Sep 26 2012 Luis Bazan <lbazan@fedoraproject.org> - 0.1.7b-2
- Fix BZ 858025 comment 2

* Mon Sep 17 2012 Luis Bazan <lbazan@fedoraproject.org> - 0.1.7b-1
- Initial Import
